class UsersController < ApplicationController
  def new
    @user = User.new
  end

  def create
    @user = User.new user_params
    if @user.save
      session[:user] = @user.id
      flash[:notice] = 'Successful registration'
      redirect_back fallback_location: hello_path
    else
      flash[:notice] = @user.errors.messages
      redirect_back fallback_location: hello_path
    end
  end

  def show
  end

  def edit
  end

  def update
    @user.update user_params
    redirect_back
  end

  def forgotten
    @user = User.new
  end

  private
    def user_params
      params.require(:user).permit(:name, :email, :phone, :password, :password_confirmation)
    end
end
