Rails.application.routes.draw do
  post 'sessions/create', to: 'sessions#create', as: 'login'
  match 'sessions/destroy', to: 'sessions#destroy', as: 'logout', via: [:get, :delete]

  match 'users/new', to: 'users#new', via: :get, as: 'register'
  post 'users/create', to: 'users#create', as: 'create_user'

  get 'users/show/:id', to: 'users#show', as: 'profile'

  get 'users/edit/:id', to: 'users#edit', as: 'edit_profile'
  put 'users/update/:id', to: 'users#update', as: 'update_profile'

  get 'users/forgotten', to: 'users#forgotten', as: 'forgotten_password'
  post 'users/send_forgotten', to: 'users#send_forgotten', as: 'recover_password'

  resources :items
  get 'say/hello', to: 'say#hello', as: 'hello'

  get 'download/:id', to: 'items#download', as: 'download'

  get 'borrow/:user/:item', to: 'items#borrow', as: 'borrow'
  get 'return/:user/:item', to: 'items#return', as: 'return'

  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
end
